Subject: DMA timing issues with promise controllers

From: mutex <[email-masked]>
Date: Sun, 11 Jan 2004 22:54:47 -0800

Hello all ;-)
I spoke with benh briefly on irc about a problem I was having with
some promise controllers on my quicksilver G4(867).
During boot I get a slew of 'DriveReady SeekComplete Error' and
'DriveStatusError BadCRC' during what looks like some dma timing
tests.
I attached my dmesg.  I did a few tests and this problem manifests
itself irregardless of harddrive(multiple size/version of maxtor
harddrives) and with multiple versions of the promise
chipset(PDC20267, PDC20268)
The drives work fine after a ide reset, but the reset sequence happens
again when I attempt to use fdisk or mount a partition.

I'm willing to do some of the debugging myself, just not sure where to
start.
clues anyone ?